View Issue Details

IDProjectCategoryView StatusLast Update
0004003GNUnettransport servicepublic2018-06-07 00:24
ReporterBart PolotAssigned ToBart Polot 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004003: Assertion failed in transport
DescriptionTransport crashed twice in one hour while runnning small cadet experiments.
Steps To Reproduce#0 0x00007f3526c9c5f8 in raise () from /usr/lib/libc.so.6
(gdb) bt
#0 0x00007f3526c9c5f8 in raise () from /usr/lib/libc.so.6
#1 0x00007f3526c9da7a in abort () from /usr/lib/libc.so.6
#2 0x00007f3527faba41 in GNUNET_abort_ () at common_logging.c:290
#3 0x000000000041d175 in cleanup_validation_entry (cls=0x0, key=0x1f7e050,
    value=0x1f7df90) at gnunet-service-transport_validation.c:432
#4 0x000000000041d316 in timeout_hello_validation (cls=0x1f7df90,
    tc=0x7ffee777e850) at gnunet-service-transport_validation.c:498
#5 0x00007f3527fe8a2e in run_ready (rs=0x1f7ab80, ws=0x1f7ac10)
    at scheduler.c:587
#6 0x00007f3527fe9340 in GNUNET_SCHEDULER_run (
    task=0x7f3527ff5e30 <service_task>, task_cls=0x7ffee777ebe0)
    at scheduler.c:868
#7 0x00007f3527ff7b7c in GNUNET_SERVICE_run (argc=3, argv=0x7ffee777ee68,
    service_name=0x42369c "transport", options=GNUNET_SERVICE_OPTION_NONE,
    task=0x405c07 <run>, task_cls=0x0) at service.c:1503
#8 0x00000000004062e5 in main (argc=3, argv=0x7ffee777ee68)
    at gnunet-service-transport.c:937
(gdb) cd 3
3: No such file or directory.
(gdb) up 3
#3 0x000000000041d175 in cleanup_validation_entry (cls=0x0, key=0x1f7e050,
    value=0x1f7df90) at gnunet-service-transport_validation.c:432
432 GNUNET_assert (GNUNET_NO ==
(gdb) l
427 ve));
428 publish_ve_stat_update ();
429 if (GNUNET_YES == ve->known_to_ats)
430 {
431 GST_ats_expire_address (ve->address);
432 GNUNET_assert (GNUNET_NO ==
433 GST_ats_is_known_no_session (ve->address));
434 ve->known_to_ats = GNUNET_NO;
435 }
436 GNUNET_HELLO_address_free (ve->address);
(gdb) p *ve
$1 = {address = 0x1f7e050, bc = 0x0, pong_sig_cache = {
    r = "\277\n\033\370\341#䙈\216v\270|d\002\243j\"\237X\205W\350\221[T\355\001\305\026\313", <incomplete sequence \314>,
    s = "\344\356x\373\252\003\205yt>\301\355h\345\302\206t\017\337\024\026\304Y\235\062v\364~\351\004\204\t"}, timeout_task = 0x0,
  revalidation_task = 0x1fe2a20, send_time = {abs_value_us = 1444642485775505},
  next_validation = {abs_value_us = 0}, valid_until = {abs_value_us = 0},
  pong_sig_valid_until = {abs_value_us = 1444601129549071},
  revalidation_block = {abs_value_us = 1444642605775464}, latency = {
    rel_value_us = 50478}, state = GNUNET_TRANSPORT_VS_REMOVE,
  challenge = 1854562995, copied = 1, in_use = 1, expecting_pong = 1,
  known_to_ats = 1, network = GNUNET_ATS_NET_WAN}
(gdb) p *ve->address
$2 = {peer = {public_key = {
      q_y = "\271\301\032\277\071\067\272b*c\250\366\320dl\336;\276!i&\222Bi\350\252\346\353\347\035\256", <incomplete sequence \310>}},
  transport_name = 0x1f7e09a "udp", address = 0x1f7e090, address_length = 10,
  local_info = GNUNET_HELLO_ADDRESS_INFO_NONE}
(gdb)
TagsNo tags attached.

Activities

Christian Grothoff

2015-10-14 16:55

manager   ~0009728

This ought to be fixed in SVN 36503.

Issue History

Date Modified Username Field Change
2015-10-12 19:24 Bart Polot New Issue
2015-10-12 19:24 Bart Polot Status new => assigned
2015-10-12 19:24 Bart Polot Assigned To => Matthias Wachs
2015-10-13 11:19 Christian Grothoff Assigned To Matthias Wachs => Christian Grothoff
2015-10-14 16:55 Christian Grothoff Note Added: 0009728
2015-10-14 16:55 Christian Grothoff Assigned To Christian Grothoff => Bart Polot
2015-10-14 16:55 Christian Grothoff Status assigned => feedback
2015-10-26 16:25 Christian Grothoff Status feedback => resolved
2015-10-26 16:25 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-10-26 16:25 Christian Grothoff Resolution open => fixed
2018-06-07 00:24 Christian Grothoff Status resolved => closed